package com.eactive.eai.rms.common.converter;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.convert.converter.Converter;
import org.springframework.stereotype.Component;

import com.eactive.eai.rms.onl.common.exception.EMSRuntimeException;
import com.eactive.eai.rms.onl.manage.serviceinfo.eaimsg.ui.CondPerRtgInfoUI;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.core.type.TypeReference;
import com.fasterxml.jackson.databind.ObjectMapper;

@Component
public class StringToListCondPerRtgInfoUIConverter implements Converter<String, List<CondPerRtgInfoUI>> {

	@Autowired
	private ObjectMapper objectMapper;

	@Override
	public List<CondPerRtgInfoUI> convert(String source) {
		try {
			return objectMapper.readValue(source, new TypeReference<List<CondPerRtgInfoUI>>() {
			});
		} catch (JsonProcessingException e) {
			throw new EMSRuntimeException(e);
		}
	}

}
